Bug 76568 - System hangs when we try to reboot or halt it
System hangs when we try to reboot or halt it
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i686 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-23 11:22 EDT by Stefano Ruberti
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-05 08:23:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
this is the output of /var/log/dmesg (12.16 KB, text/plain)
2002-10-23 11:35 EDT, Stefano Ruberti
no flags Details

  None (edit)
Description Stefano Ruberti 2002-10-23 11:22:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
When typing as a root user a "reboot" or "halt" command, the system report 
error during the shutdown procedure. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. typing reboot or halt command as root user
2.
3.
	

Actual Results:  Broadcast message from root (ttyS1) (Wed Oct 23 15:37:03 
2002):  
The system is going down for reboot NOW! [root@xxxxx root]# 
Red Hat Linux release 8.0 (Psyche)
Kernel 2.4.18-17.8.0smp on an i686

xxxxx.yyyy.it login: reboot
Broadcast message from rootmd: recovery thread got woken up ...
...
md: recovery thread finished ...
md: stopping all md devices.
flushing ide devices: hda 
GDT: Flushing all host drives .. <1>Unable to handle kernel NULL pointer 
dereference at virtual address 00000000 
 printing eip:
e0827494
*pde = 00000000
Oops: 0002
eepro100 iptable_filter ip_tables mousedev keybdev hid input usb-ohci usbcore 
CPU:    1
EIP:    0010:[<e0827494>]    Not tainted
EFLAGS: 00010086

EIP is at scsi_release_commandblocks [scsi_mod] 0x14 (2.4.18-17.8.0smp)
eax: 00000000   ebx: dfd48c00   ecx: 00000000   edx: dfd48c18
esi: dfd48c00   edi: dfd48c18   ebp: 00000286   esp: de887b60
ds: 0018   es: 0018   ss: 0018
Process reboot (pid: 554, stackpage=de887000)
Stack: dfd48c18 dfd48c00 00000064 dfd49200 de887b98 e082925d dfd48c00 c083ca24 
       e0876f42 dfd48c00 de887ba8 de887b98 0000001e dfd48c00 ffffffff ffffffff 
       ffffffff ffffffff 00000000 def205e0 00000004 00000001 0804ae10 c011b86c 
Call Trace: [<e082925d>] scsi_free_host_dev_Rsmp_d98b7c96 [scsi_mod] 0x2d 
(0xde887b74))
[<e0876f42>] gdth_flush [gdth] 0x92 (0xde887b80))
[<c011b86c>] do_page_fault [kernel] 0x14c (0xde887bbc))
[<c012adee>] update_process_times [kernel] 0x3e (0xde887c04))
[<c01190ac>] smp_apic_timer_interrupt [kernel] 0xdc (0xde887c20))
[<c010e5cd>] call_apic_timer_interrupt [kernel] 0x5 (0xde887c34))
[<c019e8a9>] serial_in [kernel] 0x19 (0xde887c64))
[<c01a4c70>] serial_console_write [kernel] 0x120 (0xde887c74))
[<c01211df>] __call_console_drivers [kernel] 0x5f (0xde887c9c))
[<c01212d5>] call_console_drivers [kernel] 0x65 (0xde887cb8))
[<c0121542>] printk [kernel] 0x142 (0xde887ce8))
[<e0877861>] .rodata.str1.32 [gdth] 0xe1 (0xde887cf4))
[<e087b078>] gdth_notifier [gdth] 0x0 (0xde887cf8))
[<e0876ff8>] gdth_halt [gdth] 0x58 (0xde887d08))
[<c0126b75>] bh_action [kernel] 0x55 (0xde887d50))
[<c0126a17>] tasklet_hi_action [kernel] 0x67 (0xde887d58))
[<c012adee>] update_process_times [kernel] 0x3e (0xde887d6c))
[<c01984a1>] scrup [kernel] 0x121 (0xde887d88))
[<c01ea249>] vgacon_cursor [kernel] 0xf9 (0xde887da8))
[<c019d753>] poke_blanked_console [kernel] 0x53 (0xde887dc8))
[<c012adee>] update_process_times [kernel] 0x3e (0xde887de4))
[<c01190ac>] smp_apic_timer_interrupt [kernel] 0xdc (0xde887e00))
[<c010e5cd>] call_apic_timer_interrupt [kernel] 0x5 (0xde887e14))
[<c0262c54>] __rdtsc_delay [kernel] 0x14 (0xde887e44))
[<e0854303>] ahc_reset [aic7xxx] 0x103 (0xde887e54))
[<e0854150>] ahc_shutdown [aic7xxx] 0x10 (0xde887e74))
[<e087b078>] gdth_notifier [gdth] 0x0 (0xde887e7c))
[<c012dc0d>] notifier_call_chain [kernel] 0x2d (0xde887e8c))
[<e087b078>] gdth_notifier [gdth] 0x0 (0xde887e90))
[<c012dff8>] sys_reboot [kernel] 0x118 (0xde887ea8))
[<c0133817>] handle_mm_fault [kernel] 0x87 (0xde887ee0))
[<c011b86c>] do_page_fault [kernel] 0x14c (0xde887f0c))
[<c0162db0>] clear_inode [kernel] 0x10 (0xde887f3c))
[<c0162581>] destroy_inode [kernel] 0x51 (0xde887f54))
[<c0160b90>] dput [kernel] 0x30 (0xde887f64))
[<c014b525>] fput [kernel] 0xe5 (0xde887f78))
[<c014971e>] filp_close [kernel] 0x8e (0xde887f94))
[<c01497c6>] sys_close [kernel] 0x66 (0xde887fb0))
[<c0109447>] system_call [kernel] 0x33 (0xde887fc0))


Code: f0 fe 08 0f 88 e9 21 00 00 8b 8e b0 00 00 00 85 c9 74 31 89 
INIT: no more processes left in this runlevel


Expected Results:  A normal shutdown and/or restart the machine

Additional info:

The box is a Intel server chassis SR1200 
http://www.intel.com/design/servers/accessories/sr1200/#
with dual pentium III, 512MB of RAM, Adaptec aic7899 Ultra160 SCSI adapter 
with RAID module SRCU32.
Comment 1 Stefano Ruberti 2002-10-23 11:35:18 EDT
Created attachment 81704 [details]
this is the output of /var/log/dmesg
Comment 2 Arjan van de Ven 2002-11-06 05:55:49 EST
this is supposed to be fixed in the preliminary kernel at
http://people.redhat.com/arjanv/testkernels/
Comment 3 Need Real Name 2002-11-11 15:49:13 EST
I have the exact same problem, it was fixed by the test kernel.

Note You need to log in before you can comment on or make changes to this bug.